name = "Olivier Wouters"
job = "Software Developer"

exc = "The digital world is pulling the strings. Committed to *good design* and *creativity*, can you branch nowadays issues? Let's merge our efforts and push something [really] *useful to the world*."

tags = [
  "c#",
  "go",
  "domain driven design",
  "agile",
  "nosql",
  "microservices",
  "event driven",
  "best principles"
]

pins = ["microservices", "go","c#"]

[badges]

[badges.coding]
title = "since 2008"

[badges.experience]
title = "5 years experience"

[contact]
phone_number = "+32 476/28.32.71"
email = "olivier5741@gmail.com"

[social]
github_url = "https://github.com/olivier5741"
github_name = "olivier5741"
site_url = "olivier5741.github.io/resume"

[transport]
exc = "Driving licence"

[social_skills]

  [social_skills.adaptability]
  title="Adaptability"
  exc="*Embrace change* and keep on *learning*. I value the concepts, languages and tools I used so far but I value the team and business more. So I'm *open minded* about any opportunity."

  [social_skills.team_player]
  title="Team player"
exc="*Interaction* is the key : shaping and building together a solution, *exchanging* experiences, *sharing* knowledge and *debating*. Something I praticed too late and didn't do enough : pair programming."

  [social_skills.conceptual]
  title="Conceptual"
  exc="You can't beat working code but it will be reasoned about, grow and someone[else] will build around. Therefore it's important that the *interface* is *future-proof* and the *business* needs are *cleary expressed* in code (*Domain Driven Design* is part of my toolbox)."

  [social_skills.creativity]
  title="Creativity"
  exc="*Team-wide standards*, *good practice* and a business story : there is *so much room left for creativity*. I love to express it from naming a variable to designing a multi microservices platform."

[languages]

  [languages.fr]
  title = "French"
  title_short = "FR"
  level = "Mother Tongue"

  [languages.en]
  title = "English"
  title_short = "EN"
  level = "Full professional proficiency"

  [languages.nl]
  title = "Dutch"
  title_short = "NL"
  level = "Professional working proficiency     (writing, speaking) but passive bilingual"

[interests]

  [interests.hobbies]
  title = "Hobbies"
  exc = "running, piano, gardening,     travelling, volunteering, reading (newspapers, magazines)"

  [interests.memberships]
  title = "Memberships"
  exc = "voluntary work with young people   (Patro - 4 years of experience [2 years as treasurer]), member of the village youth club"
  
[technical_skills]
concepts = [
  "Domain Driven Design",
  "Agile",
  "NoSQL",
  "Event Sourcing",
  "Static Site Generation",
  "Machine learning",
  "MicroServices",
  "Vertical design",
  "CQRS",
  "Event Driven",
  "Star Schema"
]
techs = [
  "NServiceBus",
  "RavenDB",
  "ServiceStack",
  ".net core",
  "RabbitMQ",
  "Ormlite",
  "Git",
  "MySQL",
  "Rider (IntelliJ)",
  "Postman (+ tests)",
  "Resharper",
  "AutoCAD (2D)",
  "Robotran",
  "ORCAD"
]
langs = [
  "C#",
  "Golang",
  "Javascript",
  "Java",
  "Erlang",
  "Matlab",
  "Latex",
  "R",
  "COBOL"
]

[path]

  [path.2023_ulb]
  category = "experience"
  type = "leg"
  date_range_name = "Sep 21 - now"
  date = "2021-09"
  title = "Software developer"
  duration_name = "1.5 year"
  exc = "Build logCiCa platform (logistics platform for short food systems)"
  org_name = "ULB"

  [path.2019_au]
  category = "experience"
  type = "leg"
  date_range_name = "Feb 19 - Jan 21"
  date = "2019-02"
  title = "Volunteer work in Australia"
  duration_name = "18 months"
  exc = "Farm hand on a cattle station in remote WA, milking sheep/cows in south WA, picking and processing olives to make oil in Tasmania,..."
  org_name = "Workaway"

  [path.2016_ringring]
  category = "experience"
  type = "leg"
  date_range_name = "March 16 - Dec 18"
  date = "2016-03"
  title = "Software Developer"
  duration_name = "< 3 years"
  exc = "Automating communication solutions (sms, call, mail) from tailored short deadline projects (API, web, service) till platform creation (new mail platform). Make your code resilient, learn to prioritize and do API/DTO first development."
  org_name = "RingRing"
  place_name = "Brussels"
  pin = true

  [path.2014_nz]
  category = "experience"
  type = "leg"
  date_range_name = "Dec 14 - Dec 15"
  date = "2014-12"
  title = "Volunteer work in New Zealand"
  duration_name = "One year"
  exc = "Twelve hosts welcomed me and my partner in their day-to-day life : conservation work, organic farming, small building projects, ..."
  org_name = "WWOOF"

  [path.2013_inasti]
  category = "experience"
  type = "leg"
  date_range_name = "Dec 13 - Dec 14"
  date = "2013-12"
  title = "Application Developer"
  duration_name = "One year"
  exc = "Migration of a client-server application (web, COM+) to a new .NET platform 'Sequoia' (WPF, WCF, LLBLGen Pro) by keeping the existing Oracle database. Implementing new features to Sequoia such as a UI Framework."
  org_name = "CSC/INASTI"
  place_name = "Brussels"

  [path.2013_bewan]
  category = "experience"
  type = "leg"
  date_range_name = "Feb 13 - May 13"
  date = "2013-02"
  title = ".NET Developer"
  duration_name = "Three months"
  exc = "Analysing and implementing Bewan's new ERP. Project started with Windows Workflow Foundation as main technology but it was dropped in favour of a more pragmatic solution including NServiceBus and RavenDB."
  org_name = "Bewan"
  place_name = "Waterloo"
  badges = ["internship"]

  [path.2012_pmg]
  category = "experience"
  type = "leg"
  date_range_name = "August 12"
  date = "2012-08"
  title = "Developer"
  duration_name = "One month"
  exc = "Implementing tools to ease the work of the coordinator: personal data and labour input aggregation, bank transfer automation, salary calculation."
  org_name = "PMG Luxembourg-Dinant"
  place_name = "Bièvre (BE)"
  badges = ["student job"]

  [path.2011_informatics]
  category = "education"
  type = "leg"
  date_range_name = "2011-2013"
  date = "2011-09"
  title = "Bachelor's Degree in Business   Computing"
  org_name = "Hénallux"
  place_name = "Namur"

  [path.2008_engineer]
  category = "education"
  type = "leg"
  date_range_name = "2008-2011"
  date = "2008-12"
  title = "B.S. in Engineering"
  org_name = "UCL"
  place_name = "Louvain-la-Neuve"
  note = "graduated 1st year in 2009"
  
  [path.kangouroute]
  category = "project"
  title = "Kangouroute"
  org_name = "Hackathon Ouvrir ma ville"
  exc = "Hackathon project to reduce traffic around schools for the city of Liège"
  tags = ["opendata","graphql","angular"]
  pins = ["opendata","graphql"]
  url = "https://kangouroute.netlify.app/"
  src = "https://github.com/keep-it-cool/kangouroute"
  
  [path.patient_follow_up]
  category = "project"
  title = "Patient follow up"
  exc = "Follow up covid patients in aged care facilities"
  tags = ["google sheets", "javascript"]
  pins = ["javascript"]
  url = "https://docs.google.com/spreadsheets/d/1gLKt9QdUTm8rfAfmakQrcFn3-iwV48R8FAn3bHEzM2I"
  src = "https://github.com/olivier5741/patientfollowup"

  [path.mail_platform]
  category = "project"
  title = "Mail Platform"
  org_name = "RingRing"
  exc = "The mail platform was set up to send external and internal emails. Based on a choreography of five new microservices, it provides email sending, email templating, webhook notification and reporting."
  tags = ["api first", "microservice","cqrs","netcore","rabbitmq","servicestack","redis"]
  pins = ["api first","cqrs", "netcore", "rabbitmq"]
  url = "https://developers.ringring.be/#tag/Mail"
  pin = 1
  
  [path.electoral_gps]
  category = "project"
  title = "Electoral GPS"
  org_name = "WeCitizens"
  exc = "Electoral GPS for belgian municipal election in 2018."
  tags = ["open source","nodejs","vue"]
  pins = ["open source"]
  src = "https://github.com/wecitizens/electoral-gps-frontend"
  pin = 2

  [path.travel-blog]
  category = "project"
  title = "Rokiwi Blog"
  exc = "A travel blog about some exciting overseas adventures"
  tags = ["hugo"]
  src = "https://github.com/rokiwi/rokiwi.github.io"
  url = "http://rokiwi.github.io/"

  [path.stock-manager]
  category = "project"
  title = "Stock Manager"
  exc = "Encode your stock input, output and inventory (csv files) and let *Stock Manager* generate your current stock state and the stock goods evolution."
  tags = ["go","event sourcing","google spreadsheet"]
  src = "https://github.com/olivier5741/stock-manager"

  [path.resume-generator]
  category = "project"
  title = "Online resume"
  exc = "Write your resume in a minimal language *(toml)*, serve it as a website *(hugo)*"
  tags = ["hugo","toml","bootstrap"]
  src = "https://github.com/olivier5741/resume"
  url = "http://olivier5741.github.io/"
  